(function($) {
    var eabs_integration_user_js = {
        __init: function() {
            jQuery('body').on('click',  '.eabs_open', this.eabs_on_click_open_popup);
            jQuery('body').on('click',  '.cancel', this.eabs_hide_popup);
            jQuery('body').on('change', 'select.eabs_cart-qty-change', this.eabs_change_qty);
            jQuery('body').on('click',  'button.eabs_add-cart', this.eabs_on_click_add_cart);
            jQuery('body').on('click',  '.eabs_table-next a', this.eabs_table_next_prev);
            jQuery('body').on('click',  'a.eabs_cart-popup', this.eabs_cart_TS_popup);
            jQuery('body').on('click',  'button.eabs_cart-booknow', this.eabs_submit_cart_booknow);
        },
        // ------ Book Now to redirect cart page -------
        eabs_on_click_open_popup: function(e) {
            e.preventDefault();

            var activity_hour       = jQuery(this).attr('data-activity_hour');
            var activity_data_obj   = JSON.parse(jQuery(this).attr('data-activity'));
            var date                = activity_data_obj.date;
            var activity_id         = activity_data_obj.activity_id;
            var item_id             = activity_data_obj.item_id;

            if (activity_hour != undefined && activity_hour == 'by_hour') {
                eabs_integration_user_js.eabs_hourly_change_dropdown(date, activity_id, item_id);
            } else if (activity_hour != undefined && activity_hour == 'by_inventor') {
                var totalquota      = activity_data_obj.totalquota;
                eabs_integration_user_js.eabs_invetor_change_dropdown(date, activity_id, item_id, totalquota);
            }
			
			jQuery('body').addClass('eabs_popup-body');
            jQuery(this).parent().find('div.eabs_modal').show('slow');

        },
        eabs_hide_popup: function(e) {
            e.preventDefault();
			jQuery('body').removeClass('eabs_popup-body');
            jQuery(this).parents('div.eabs_modal').hide();
        },
        // ------ Book Now to redirect cart page -------
        eabs_on_click_add_cart: function(e) {
            e.preventDefault();
            var class_obj   = this;
            var obj         = jQuery(this);
            var error       = false;
            var eabs_time   = jQuery(this).parents('td').find('.eabs_time select').find(":selected").text();

            var eabs_pickup = jQuery(this).parents('.eabs_modal').find('#eabs_pickup').val();
            var eabs_ajax   = jQuery('#eabs_ajax-cart').val();
            if (eabs_pickup == undefined) {
                eabs_pickup = '';
            } else if (eabs_pickup == '') {
                obj.parents('.eabs_modal').find('p.eabs_error-add').text('Please fill the all fields.');
                setTimeout(function() {
                    obj.parents('.eabs_modal').find('p.eabs_error-add').text('');
                }, 3000);
                return false;
            }
            var data_array  = [];
            var language    = 'en';
            obj.parents('.eabs_modal').find('.eabs_qty-dropdown').each(function(i, item_dropdown) {
                var current_sel = jQuery(item_dropdown).find(':selected').val();

                if ( jQuery.isNumeric(current_sel) ) {
                    data_array.push({
                        _id: jQuery(item_dropdown).attr('data-activity_id'),
                        item: jQuery(item_dropdown).attr('data-activity_item_id'),
                        date: jQuery(item_dropdown).attr('data-activity_date'),
                        time: eabs_time,
                        pricecategory: jQuery(item_dropdown).attr('data-pricecategory'),
                        unitprice: jQuery(item_dropdown).attr('data-activity_price'),
                        qty: jQuery(item_dropdown).find(':selected').val(),
                        pickup: eabs_pickup
                    });
                    language = jQuery(item_dropdown).attr('data-language');
                }

            });

            jQuery.ajax({
                type: "post",
                dataType: "html",
                url: eabs_ajax,
                data: {
                    'action': 'eabs_add_item_to_cart',
                    'cart_data': data_array,
                    'language': language,
                },
                success: function(msg) {
                    var Check_bool;
                    Check_bool  = eabs_integration_user_js.eabs_check_response_data(msg);
                    if (Check_bool == false && msg != "1") {
                        obj.parents('.eabs_modal').find('.content').before('<p class="eabs_error-add">' + msg + '</p>');
                        setTimeout(function() {
                            obj.parents('.eabs_modal').find('p.eabs_error-add').remove();
                        }, 3000);
                    } else if (msg == 'false') {
                        obj.parents('.eabs_modal').find('.content').before('<p class="eabs_error-add">Activity not added in cart!</p>');
                        setTimeout(function() {
                            obj.parents('.eabs_modal').find('p.eabs_error-add').remove();
                        }, 3000);
                    } else {
                        window.location.href = jQuery('input.eabs_redirect-cart').val();
                    }
                }
            });
        },
        eabs_change_qty: function(e) {

            var eabs_ajax   = jQuery('#eabs_ajax-cart').val();
            var cartid      = jQuery(this).attr('data-qty');
            var qty         = jQuery(this).find(":selected").val();

            jQuery(this).parents('form').submit();
        },
        eabs_check_response_data: function(string) {
            var regexp      = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/
            return regexp.test(string);
        },
        eabs_hourly_change_dropdown: function(date, activity_id, item_id) {
            apidomain       = 'https://www.uppliv.com/api/v1.1/offer/search/details/inventory/perhour/';
            return fetch(
                apidomain, {
                    method: 'post',
                    headers: {
                        'Accept': 'application/json',
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({
                        "date": date,
                        "activity_id": activity_id,
                        "item_id": item_id
                    })
                }
            ).then(function(response) {
                response.json().then(function(parsedJson) {
                    queryresult = parsedJson['inventory'];
                    index       = 0;
                    document.querySelectorAll('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]').forEach(item => {
                            itemname = item['name'].split("(-)");
                            itemname = itemname[itemname.length - 3] + "quota";
                            if (queryresult[0]['linked'] == true) {
                                if (queryresult[0]['totalquota'] >= 9) {} else if (queryresult[0]['totalquota'] < item.options[item.options.length - 1].value) {
                                    if (queryresult[0]['totalquota'] == 0) {
                                        removeitem = jQuery('select[name^="' + item['name'] + '"]');
                                        removeitem.find("option:gt(0)").remove();
                                    } else {
                                        removeitem = jQuery('select[name^="' + item['name'] + '"]');
                                        removeitem.find("option:gt(" + (queryresult[0]['totalquota']) + ")").remove();
                                    }
                                };
                            } else {
                                if (queryresult[0][itemname] >= 9) {} else if (queryresult[0][itemname] < item.options[item.options.length - 1].value) {
                                    if (queryresult[0][itemname] == 0) {
                                        removeitem = jQuery('select[name^="' + item['name'] + '"]');
                                        removeitem.find("option:gt(0)").remove();
                                    } else {
                                        removeitem = jQuery('select[name^="' + item['name'] + '"]');
                                        removeitem.find("option:gt(" + (queryresult[0][itemname]) + ")").remove();
                                    }
                                };
                            }
                            if (index == 0) {
                                index++;
                                timeselectoptions = {};
                                for (let timeoption of queryresult) {
                                    timeselectoptions[timeoption['time']] = timeoption['time']
                                };
                                var jQueryel = jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"]');
                                jQueryel.empty(); // remove old options
                                jQuery.each(timeselectoptions, function(key, value) {
                                    jQueryel.append(jQuery("<option></option>").attr("value", value).text(key));
                                });
                            }
                            item.addEventListener('change', event => {
                                eventname = event.target.name.split("(-)");
                                eventname = eventname[eventname.length - 3] + "quota";
                                for (let queryresultoption of queryresult) {
                                    if (queryresult[0]['linked'] == true) {
                                        //get selected time
                                        selectedtime = jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"] option').filter(':selected').val();
                                        if (queryresultoption['time'] == selectedtime) {
                                            currentstateelements = jQuery('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]');
                                            //calculate remaining quota
                                            remainingquota = queryresultoption['totalquota'];
                                            for (currentstateelement of currentstateelements) {
                                                //get selected value
                                                selectedvalue = jQuery('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                                                if (selectedvalue == "Select") {} else {
                                                    remainingquota = remainingquota - selectedvalue;
                                                }
                                            }
                                            //adjust drop down values based on residual quota
                                            for (currentstateelement of currentstateelements) {
                                                lastvalue = jQuery('select[name^="' + currentstateelement.name + '"] option:last-child').val();
                                                if (lastvalue == "Select") {
                                                    lastvalue = 0
                                                } else {
                                                    lastvalue = parseInt(lastvalue)
                                                }
                                                selectedvalue = jQuery('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                                                if (selectedvalue == "Select") {
                                                    selectedvalue = 0
                                                } else {
                                                    selectedvalue = parseInt(selectedvalue)
                                                }
                                                if (lastvalue == (selectedvalue + remainingquota)) {} else if (lastvalue < (selectedvalue + remainingquota)) {
                                                    //add drop down options from selected value to remainingquota
                                                    iteratestart = lastvalue
                                                    iterateend = selectedvalue + remainingquota
                                                    iteratestart++;
                                                    for (i = 1; i <= iterateend; i++) {
                                                        if (i >= iteratestart) {
                                                            jQuery('select[name^="' + currentstateelement.name + '"]').append(jQuery('<option>', {
                                                                value: i,
                                                                text: i
                                                            }));
                                                        }
                                                    }
                                                } else if (lastvalue > (selectedvalue + remainingquota)) {
                                                    //remove drop down options down to remainingquota
                                                    if (selectedvalue == "Select") {
                                                        removeitem = jQuery('select[name^="' + currentstateelement.name + '"]');
                                                        removeitem.find("option:gt(" + remainingquota + ")").remove();
                                                    } else {
                                                        removeitem = jQuery('select[name^="' + currentstateelement.name + '"]');
                                                        removeitem.find("option:gt(" + (selectedvalue + remainingquota) + ")").remove();
                                                    }
                                                }
                                            }
                                            //verify if time drop down options need to be removed or added here
                                            for (queryresultoptiontwo of queryresult) {
                                                if (queryresultoptiontwo['time'] == selectedtime) {} else {
                                                    //check if time option exists
                                                    usedquota = queryresultoption['totalquota'] - remainingquota
                                                    if (jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"] option[value="' + queryresultoptiontwo['time'] + '"]').length > 0) {
                                                        //check if option needs to be removed
                                                        if (usedquota > queryresultoptiontwo['totalquota']) {
                                                            //remove time drop down
                                                            jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"] option[value="' + queryresultoptiontwo['time'] + '"]').remove();
                                                        } else {}
                                                    } else {
                                                        //check if option needs to be added
                                                        if (usedquota <= queryresultoptiontwo['totalquota']) {
                                                            //add time drop down option
                                                            jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"]').append(jQuery('<option>', {
                                                                value: queryresultoptiontwo['time'],
                                                                text: queryresultoptiontwo['time']
                                                            }));
                                                        } else {}
                                                    }
                                                }
                                            }
                                            break;
                                        } else {}
                                    }
                                    //if inventory is not linked
                                    else {
                                        try {
                                            if (event.target.value > queryresultoption[eventname]) {
                                                jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"] option[value="' + queryresultoption['time'] + '"]').remove();
                                            } else if (event.target.value <= queryresultoption[eventname] || event.target.value == "Select") {
                                                //check if time option exists already
                                                if (jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"] option[value="' + queryresultoption['time'] + '"]').length > 0) {} else {
                                                    ok = true;
                                                    //if time option does not exist already iterate over all queryresult options and selected price categories to verify if missing time option can be added again
                                                    currentstateelements = jQuery('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]');
                                                    for (currentstateelement of currentstateelements) {
                                                        selectedvalue = jQuery('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                                                        if (selectedvalue == "Select") {} else {
                                                            currentstateelementname = currentstateelement.name.split("(-)");
                                                            currentstateelementname = currentstateelementname[currentstateelementname.length - 3] + "quota";
                                                            if (selectedvalue <= queryresultoption[currentstateelementname]) {} else {
                                                                ok = false;
                                                                break;
                                                            }
                                                        }
                                                    }
                                                    if (ok == true) {
                                                        jQuery('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '(-)time"]').append(jQuery('<option>', {
                                                            value: queryresultoption['time'],
                                                            text: queryresultoption['time']
                                                        }));
                                                    } else {}
                                                }
                                            };
                                        } catch {};
                                    }
                                };
                            })
                        }) // document.querySelectorAll close
                    document.querySelectorAll('select[id^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]').forEach(item => {
                            item.addEventListener('change', event => {
                                    eventtime = event.target.value;
                                    for (let timeoption of queryresult) {
                                        if (eventtime == timeoption['time']) {
                                            if (timeoption['linked'] == true) {
                                                //logic if inventory is linked
                                                currentstateelements = jQuery('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]');
                                                //calculate remaining quota
                                                remainingquota = timeoption['totalquota'];
                                                for (currentstateelement of currentstateelements) {
                                                    //get selected value
                                                    selectedvalue = jQuery('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                                                    if (selectedvalue == "Select") {} else {
                                                        remainingquota = remainingquota - selectedvalue;
                                                    }
                                                    //adjust drop down values based on residual quota
                                                    for (currentstateelement of currentstateelements) {
                                                        lastvalue = jQuery('select[name^="' + currentstateelement.name + '"] option:last-child').val();
                                                        if (lastvalue == "Select") {
                                                            lastvalue = 0
                                                        } else {
                                                            lastvalue = parseInt(lastvalue)
                                                        }
                                                        selectedvalue = jQuery('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                                                        if (selectedvalue == "Select") {
                                                            selectedvalue = 0
                                                        } else {
                                                            selectedvalue = parseInt(selectedvalue)
                                                        }
                                                        if (lastvalue == (selectedvalue + remainingquota)) {} else if (lastvalue < (selectedvalue + remainingquota)) {
                                                            //add drop down options from selected value to remainingquota
                                                            iteratestart = lastvalue
                                                            iterateend = selectedvalue + remainingquota
                                                            iteratestart++;
                                                            for (i = 1; i <= iterateend; i++) {
                                                                if (i >= iteratestart) {
                                                                    jQuery('select[name^="' + currentstateelement.name + '"]').append(jQuery('<option>', {
                                                                        value: i,
                                                                        text: i
                                                                    }));
                                                                }
                                                            }
                                                        } else if (lastvalue > (selectedvalue + remainingquota)) {
                                                            //remove drop down options down to remainingquota
                                                            if (selectedvalue == "Select") {
                                                                removeitem = jQuery('select[name^="' + currentstateelement.name + '"]');
                                                                removeitem.find("option:gt(" + remainingquota + ")").remove();
                                                            } else {
                                                                removeitem = jQuery('select[name^="' + currentstateelement.name + '"]');
                                                                removeitem.find("option:gt(" + (selectedvalue + remainingquota) + ")").remove();
                                                            }
                                                        }
                                                    }
                                                }
                                            } else {
                                                //logic if inventory is not linked
                                                currentstateelements = jQuery('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]');
                                                for (currentstateelement of currentstateelements) {
                                                    lastvalue = jQuery('select[name^="' + currentstateelement.name + '"] option:last-child').val();
                                                    currentstateelementname = currentstateelement.name.split("(-)");
                                                    currentstateelementname = currentstateelementname[currentstateelementname.length - 3] + "quota";
                                                    if (lastvalue == "Select" && timeoption[currentstateelementname] > 0) {
                                                        for (i = 1; i <= timeoption[currentstateelementname]; i++) {
                                                            jQuery('select[name^="' + currentstateelement.name + '"]').append(jQuery('<option>', {
                                                                value: i,
                                                                text: i
                                                            }));
                                                        }
                                                    } else if (lastvalue < timeoption[currentstateelementname]) {
                                                        iteratestart = lastvalue;
                                                        iteratestart++;
                                                        for (i = 1; i <= timeoption[currentstateelementname]; i++) {
                                                            if (i >= iteratestart) {
                                                                jQuery('select[name^="' + currentstateelement.name + '"]').append(jQuery('<option>', {
                                                                    value: i,
                                                                    text: i
                                                                }));
                                                            }
                                                        }
                                                    } else if (lastvalue > timeoption[currentstateelementname]) {
                                                        removeitem = jQuery('select[name^="' + currentstateelement.name + '"]');
                                                        removeitem.find("option:gt(" + timeoption[currentstateelementname] + ")").remove();
                                                    }
                                                }
                                                break;
                                            }
                                        }
                                    }
                                }) // item.addEventListener close
                        }) // document.querySelectorAll close

                })
            })
        },
        eabs_invetor_change_dropdown: function(date, activity_id, item_id, totalquota) {
            document.querySelectorAll('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]').forEach(item => {
                itemname = item['name'].split("(-)");
                itemname = itemname[itemname.length - 3] + "quota";
                if (totalquota >= 9) {} else if (totalquota < item.options[item.options.length - 1].value) {
                    removeitem = $('select[name^="' + item['name'] + '"]');
                    removeitem.find("option:gt(" + totalquota + ")").remove();
                };
                item.addEventListener('change', event => {
                    eventname = event.target.name.split("(-)");
                    eventname = eventname[eventname.length - 3] + "quota";
                    currentstateelements = $('select[name^="' + activity_id + '(-)' + item_id + '(-)' + date.replaceAll('-', '(-)') + '"]');
                    //calculate remaining quota
                    remainingquota = totalquota;
                    for (currentstateelement of currentstateelements) {
                        //get selected value
                        selectedvalue = $('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                        if (selectedvalue == "Select") {} else {
                            remainingquota = remainingquota - selectedvalue;
                        }
                    }
                    //adjust drop down values based on residual quota
                    for (currentstateelement of currentstateelements) {
                        lastvalue = $('select[name^="' + currentstateelement.name + '"] option:last-child').val();
                        if (lastvalue == "Select") {
                            lastvalue = 0
                        } else {
                            lastvalue = parseInt(lastvalue)
                        }
                        selectedvalue = $('select[name^="' + currentstateelement.name + '"] option').filter(':selected').val();
                        if (selectedvalue == "Select") {
                            selectedvalue = 0
                        } else {
                            selectedvalue = parseInt(selectedvalue)
                        }
                        if (lastvalue == (selectedvalue + remainingquota)) {} else if (lastvalue < (selectedvalue + remainingquota)) {
                            //add drop down options from selected value to remainingquota
                            iteratestart = lastvalue
                            iterateend = selectedvalue + remainingquota
                            iteratestart++;
                            for (i = 1; i <= iterateend; i++) {
                                if (i >= iteratestart) {
                                    $('select[name^="' + currentstateelement.name + '"]').append($('<option>', {
                                        value: i,
                                        text: i
                                    }));
                                }
                            }
                        } else if (lastvalue > (selectedvalue + remainingquota)) {
                            //remove drop down options down to remainingquota
                            if (selectedvalue == "Select") {
                                removeitem = $('select[name^="' + currentstateelement.name + '"]');
                                removeitem.find("option:gt(" + remainingquota + ")").remove();
                            } else {
                                removeitem = $('select[name^="' + currentstateelement.name + '"]');
                                removeitem.find("option:gt(" + (selectedvalue + remainingquota) + ")").remove();
                            }
                        }
                    }
                })
            })
        },
        eabs_table_next_prev: function(e) {
            var nxt_prev        = jQuery(this).attr('data-item_anim');
            var total_items     = jQuery('.eabs_tabel-next a.eabs_next').attr('data-item_total');
            var current_item    = jQuery(this).attr('data-current_item');
            var item_anim       = parseInt(jQuery(this).attr('data-item_anim'));

            if (jQuery(this).hasClass('eabs_next')) {
                jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-prev a.eabs_prev').show();
                var next_id     = 'eabs_slide-' + (item_anim + 1);
                var total_items = jQuery(this).attr('data-item_total');
                jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-prev a.eabs_prev').attr('data-current_item', next_id);
                jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-prev a.eabs_prev').attr('data-item_anim', (item_anim + 1));

                jQuery(this).attr('data-item_anim', (item_anim + 1));
                jQuery(this).attr('data-current_item', next_id);
                jQuery(this).parents('.eabs_activities-calendor').find('.' + current_item).hide('slow');
                jQuery(this).parents('.eabs_activities-calendor').find('.' + next_id).show('slow');
                if (next_id == total_items) {
                    jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-next a.eabs_next').hide();
                }
            } else if (jQuery(this).hasClass('eabs_prev')) {
                jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-prev a.eabs_prev').show();
                var prev_id     = 'eabs_slide-' + (item_anim - 1);
                var total_items = jQuery(this).attr('data-item_total');
                jQuery(this).attr('data-item_anim', (item_anim - 1));
                jQuery(this).attr('data-current_item', prev_id);
                jQuery(this).parents('.eabs_activities-calendor').find('.' + current_item).hide('slow');
                jQuery(this).parents('.eabs_activities-calendor').find('.' + prev_id).show('slow');

                jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-next a.eabs_next').attr('data-current_item', prev_id);
                jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-next a.eabs_next').attr('data-item_anim', (item_anim - 1));
                if (prev_id == 'eabs_slide-1') {
                    jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-prev a.eabs_prev').hide();
                    jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-next a.eabs_next').show();
                } else if (prev_id != total_items) {
                    jQuery(this).parents('.eabs_table-next').find('.eabs_tabel-next a.eabs_next').show();
                }
            }
        },
        eabs_cart_TS_popup: function(e) {
            e.preventDefault();
            var popup_hide      = jQuery(this).attr('data-hide');
            var popup_target    = jQuery(this).attr('data-target');
            jQuery('#' + popup_hide).hide();
            jQuery('#' + popup_target).show('slow');
        },
        eabs_submit_cart_booknow: function(e){
            var eabs_firstname      = jQuery('input#eabs_firstname').val();
            var eabs_lastname       = jQuery('input#eabs_lastname').val();
            var eabs_email          = jQuery('input#eabs_email').val();
            var eabs_accept_policy  = jQuery('input.eabs_accept_policy');

            if( eabs_firstname.length <= 0 || eabs_firstname == '' ){
                jQuery('input#eabs_firstname').parents('div.form-group').find('div.eabs_invalid-feedback').show();
                jQuery('input#eabs_firstname').addClass('eabs_input-error-red');
            }else{
                jQuery('input#eabs_firstname').parents('div.form-group').find('div.eabs_invalid-feedback').hide();                
                jQuery('input#eabs_firstname').removeClass('eabs_input-error-red');
            }

            if( eabs_lastname.length <= 0 || eabs_lastname == '' ){
                jQuery('input#eabs_lastname').parents('div.form-group').find('div.eabs_invalid-feedback').show();
                jQuery('input#eabs_lastname').addClass('eabs_input-error-red');
            }else{
                jQuery('input#eabs_lastname').parents('div.form-group').find('div.eabs_invalid-feedback').hide();
                jQuery('input#eabs_lastname').removeClass('eabs_input-error-red');              
            }

            if( !eabs_integration_user_js.eabs_IsEmail(eabs_email) ){
                jQuery('input#eabs_email').parents('div.form-group').find('div.eabs_invalid-feedback').show();
                jQuery('input#eabs_email').addClass('eabs_input-error-red');
            }else{
                jQuery('input#eabs_email').parents('div.form-group').find('div.eabs_invalid-feedback').hide();
                jQuery('input#eabs_email').removeClass('eabs_input-error-red');              
            }

            if( !eabs_accept_policy.is(":checked") ){
                jQuery('input.eabs_accept_policy').parents('div.form-check').find('div.eabs_invalid-feedback').show();
                jQuery('input.eabs_accept_policy').parents('div.form-check').find('label.form-check-label').addClass('eabs_label-error-red');
            }else{
                jQuery('input.eabs_accept_policy').parents('div.form-check').find('div.eabs_invalid-feedback').hide();
                jQuery('input.eabs_accept_policy').parents('div.form-check').find('label.form-check-label').removeClass('eabs_label-error-red');           
            }
        },
        eabs_IsEmail: function(email) {
            var regex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
            if(!regex.test(email)) {
                return false;
            }else{
                return true;
            }
        },
    };
    eabs_integration_user_js.__init();
})(jQuery);